iPod touch 2nd Gen iTouch - need to upgrade to iOS4

basketballguy

macrumors newbie
Original poster
Jan 4, 2012
3
0
I have a jailbroken 8 GB 2nd Gen itouch with 3.1.2 iOS. Most of the apps i want to download require iOS 4 or higher. How do i get the new iOS without messing up my jailbreak?

Thanks for any replies!
 

GeniusJon

macrumors regular
Nov 26, 2011
185
0
Canada
I don't recommend updating to iOS 4. It ruins iPod touch 2Gs. Try to find an older version of the App you want to use, a version that supports 3.1.3.